openSUSE: 2021:1566-1 moderate: wireshark

Advisories


   openSUSE Security Update: Security update for wireshark
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2021:1566-1
Rating:             moderate
References:         #1192830 
Cross-References:   CVE-2021-39920 CVE-2021-39921 CVE-2021-39922
                    CVE-2021-39924 CVE-2021-39925 CVE-2021-39926
                    CVE-2021-39928 CVE-2021-39929
CVSS scores:
                    CVE-2021-39920 (SUSE): 4.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L
                    CVE-2021-39921 (SUSE): 4.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L
                    CVE-2021-39922 (SUSE): 4.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L
                    CVE-2021-39924 (NVD) : 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
                    CVE-2021-39924 (SUSE): 4.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L
                    CVE-2021-39925 (NVD) : 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
                    CVE-2021-39925 (SUSE): 4.3 CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:L
                    CVE-2021-39926 (NVD) : 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
                    CVE-2021-39926 (SUSE): 4.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L
                    CVE-2021-39928 (SUSE): 4.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L
                    CVE-2021-39929 (NVD) : 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
                    CVE-2021-39929 (SUSE): 4.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L

Affected Products:
                    openSUSE Leap 15.2
______________________________________________________________________________

   An update that fixes 8 vulnerabilities is now available.

Description:

   This update for wireshark fixes the following issues:

   - Update to Wireshark 3.4.10:
   - CVE-2021-39920: IPPUSB dissector crash (bsc#1192830).
   - CVE-2021-39921: Modbus dissector crash (bsc#1192830).
   - CVE-2021-39922: C12.22 dissector crash (bsc#1192830).
   - CVE-2021-39924: Bluetooth DHT dissector large loop (bsc#1192830).
   - CVE-2021-39925: Bluetooth SDP dissector crash (bsc#1192830).
   - CVE-2021-39926: Bluetooth HCI_ISO dissector crash (bsc#1192830).
   - CVE-2021-39928: IEEE 802.11 dissector crash (bsc#1192830).
   - CVE-2021-39929: Bluetooth DHT dissector crash (bsc#1192830).

   This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.2:

      zypper in -t patch openSUSE-2021-1566=1



Package List:

   - openSUSE Leap 15.2 (i586 x86_64):

      libwireshark14-3.4.10-lp152.2.21.1
      libwireshark14-debuginfo-3.4.10-lp152.2.21.1
      libwiretap11-3.4.10-lp152.2.21.1
      libwiretap11-debuginfo-3.4.10-lp152.2.21.1
      libwsutil12-3.4.10-lp152.2.21.1
      libwsutil12-debuginfo-3.4.10-lp152.2.21.1
      wireshark-3.4.10-lp152.2.21.1
      wireshark-debuginfo-3.4.10-lp152.2.21.1
      wireshark-debugsource-3.4.10-lp152.2.21.1
      wireshark-devel-3.4.10-lp152.2.21.1
      wireshark-ui-qt-3.4.10-lp152.2.21.1
      wireshark-ui-qt-debuginfo-3.4.10-lp152.2.21.1


References:

   https://www.suse.com/security/cve/CVE-2021-39920.html
   https://www.suse.com/security/cve/CVE-2021-39921.html
   https://www.suse.com/security/cve/CVE-2021-39922.html
   https://www.suse.com/security/cve/CVE-2021-39924.html
   https://www.suse.com/security/cve/CVE-2021-39925.html
   https://www.suse.com/security/cve/CVE-2021-39926.html
   https://www.suse.com/security/cve/CVE-2021-39928.html
   https://www.suse.com/security/cve/CVE-2021-39929.html
   https://bugzilla.suse.com/1192830

openSUSE: 2021:1566-1 moderate: wireshark

December 10, 2021
An update that fixes 8 vulnerabilities is now available

Description

This update for wireshark fixes the following issues: - Update to Wireshark 3.4.10: - CVE-2021-39920: IPPUSB dissector crash (bsc#1192830). - CVE-2021-39921: Modbus dissector crash (bsc#1192830). - CVE-2021-39922: C12.22 dissector crash (bsc#1192830). - CVE-2021-39924: Bluetooth DHT dissector large loop (bsc#1192830). - CVE-2021-39925: Bluetooth SDP dissector crash (bsc#1192830). - CVE-2021-39926: Bluetooth HCI_ISO dissector crash (bsc#1192830). - CVE-2021-39928: IEEE 802.11 dissector crash (bsc#1192830). - CVE-2021-39929: Bluetooth DHT dissector crash (bsc#1192830). This update was imported from the SUSE:SLE-15:Update update project.

Patch

To install this openSUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - openSUSE Leap 15.2: zypper in -t patch openSUSE-2021-1566=1

Package List

- openSUSE Leap 15.2 (i586 x86_64): libwireshark14-3.4.10-lp152.2.21.1 libwireshark14-debuginfo-3.4.10-lp152.2.21.1 libwiretap11-3.4.10-lp152.2.21.1 libwiretap11-debuginfo-3.4.10-lp152.2.21.1 libwsutil12-3.4.10-lp152.2.21.1 libwsutil12-debuginfo-3.4.10-lp152.2.21.1 wireshark-3.4.10-lp152.2.21.1 wireshark-debuginfo-3.4.10-lp152.2.21.1 wireshark-debugsource-3.4.10-lp152.2.21.1 wireshark-devel-3.4.10-lp152.2.21.1 wireshark-ui-qt-3.4.10-lp152.2.21.1 wireshark-ui-qt-debuginfo-3.4.10-lp152.2.21.1

References

https://www.suse.com/security/cve/CVE-2021-39920.html https://www.suse.com/security/cve/CVE-2021-39921.html https://www.suse.com/security/cve/CVE-2021-39922.html https://www.suse.com/security/cve/CVE-2021-39924.html https://www.suse.com/security/cve/CVE-2021-39925.html https://www.suse.com/security/cve/CVE-2021-39926.html https://www.suse.com/security/cve/CVE-2021-39928.html https://www.suse.com/security/cve/CVE-2021-39929.html https://bugzilla.suse.com/1192830

Severity
Announcement ID: openSUSE-SU-2021:1566-1
Rating: moderate
Affected Products: openSUSE Leap 15.2 .

Related News

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.